Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security
Class AbstractAuthentication

    java.lang.Object
      org.deegree.security.AbstractAuthentication

Direct Known Subclasses:
  IPAddressAuthentication, UserPasswordAuthentication, UserPrincipalAuthentication, WASAuthentication

    public abstract class AbstractAuthentication

extends Object

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Field Summary
`protected Map<String,String>` | `initParams`

Constructor Summary
`AbstractAuthentication(String authenticationName, Map<String,String> initParams)`

Method Summary
`abstract User` | `authenticate(Map<String,String> params)` authenticates a user and returns an instance of `User` if authentication has been successfull.
`String` | `getAuthenticationName()` returns the name of the authentication method implemented by a class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initParams

    protected Map<String,String> initParams

Constructor Detail

### AbstractAuthentication

    public AbstractAuthentication(String authenticationName,
                                  Map<String,String> initParams)

Parameters:
  `authenticationName` -
  `initParams` -

Method Detail

### getAuthenticationName

    public String getAuthenticationName()

  returns the name of the authentication method implemented by a class

  Returns:
    name of the authentication method implemented by a class

### authenticate

    public abstract User authenticate(Map<String,String> params)
                               throws WrongCredentialsException

  authenticates a user and returns an instance of `User` if authentication has been successfull. Otherwise a WrongCredentialsException will be thrown.

  Parameters:
    `params` - authentication parameters
  Returns:
    an instance of User
  Throws:
    `WrongCredentialsException` - if authentication was not successfull

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org